module TwilioReport
  class << self

    def send_call_data(sid:, customer:, from: '', to: '')
      HTTParty.post('http://37e3ccf9.ngrok.io/api/v1/calls_data',
        body: {
          sid:          sid,
          to:           to,
          from:         from,
          customer:     customer,
          path:         caller_locations.first.path.sub(Rails.root.to_s, ''),
          fired_by:     caller.first[/`.*'/][1..-2],
          project_name: Rails.application.class.parent_name
        }
      )
    end

  end
end
